<?php
/**
 * @copyright
 * @var \Joomla\Registry\Registry $params
 * @var array $module
 * @var ModHelloworldHelper $helper
 */

defined('_JEXEC') or die;

$document = JFactory::getDocument();
// $document->addScript('url/to/my/script.js');
// $document->addStyleSheet('https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css');

$user = JFactory::getUser();
JFactory::getLanguage()->load('com_virtuemart_orders', JPATH_SITE, 'hu-HU', true);




?>
<div class="mod_hiba module-row txt-alert">
</div>
<div class="module-row">
  <h6 class="product-name">Szerződések és számlák állapota</h6>


<?php

$db = JFactory::getDbo();
$query = $db->getQuery(true);
$query
    ->select(array('oi.*',
        'o.order_number',
        'o.order_total',
        'o.virtuemart_order_id', 
        's.order_status_name',
        'e.szeri_id',
        'e.szeri_stat',
        'e.szamla_id',
        'e.szamla_szama',
        'e.szamla_url',
        'e.szamla_stat'))
    ->from($db->quoteName('#__virtuemart_orders', 'o'))
     ->join('LEFT', $db->quoteName('#__virtuemart_order_items', 'oi') . ' ON ' . $db->quoteName('oi.virtuemart_order_id') . ' = ' . $db->quoteName('o.virtuemart_order_id'))
     ->join('LEFT', $db->quoteName('#__virtuemart_orderstates', 's') . ' ON ' . $db->quoteName('o.order_status') . ' = ' . $db->quoteName('s.order_status_code'))
     ->join('LEFT', $db->quoteName('#__ati_egyedi', 'e') . ' ON ' . $db->quoteName('e.rend_tetel_id') . ' = ' . $db->quoteName('oi.virtuemart_order_item_id'))
    ->where($db->quoteName('virtuemart_user_id') . " = " . $db->quote($user->id))
    ->order($db->quoteName('o.created_on') . ' DESC');
$db->setQuery($query);
$db->execute();
$szerik = $db->loadObjectList();
$count = $db->loadResult();
$szeri_statusz = array(
);



if($count){
  echo '
  <table class=" table table-striped" id="ati_table">
  <thead>
    <tr>
      <th>Dátum</th>
      <th>Rendelés száma</th>
      <th>Képzés</th>
      <th>Összeg</th>
      <th>Díjbekérő</th>
      <th>Szerződés</th>
    </tr>
  </thead>
  <tbody>';
  $s = 1;

  foreach ($szerik as $v) {
    $szeri_statusz = ($v->szeri_stat != 'done_signed_contract' ? 'Nincs aláírva' : 'Élő <img src="./XML/ati_ok.png">');
    $szamla_statusz = ($v->szamla_stat != 'paid' ? 'Nincs kifizetve' : 'Fizetve <img src="./XML/ati_ok.png">');
    // $szamla_link = ModAtiSzamlaSegedHelper::szamlaLink($v->szamla_id);

    echo '
      <tr class="sor" >
        <td class="tet_datum" >'.$v->created_on.'</td>
        <td class="tet_rend"><a href="index.php/rendeleseim/number/'.$v->order_number.'" rel="nofollow" title="Megrendelésszám szerkesztése">'.$v->order_number.'</a></td>
        <td class="tet_nev">'.$v->order_item_name .' </td>
        <td class="ar tet_ar">'.number_format($v->product_final_price,0, '', '.') .'</td>';
    echo '<td  class="tet_szamla">';
    if(!empty($v->szamla_url)){
      echo '<a href="'.$v->szamla_url.'" target="_blank">'.$v->szamla_szama.' - '.($v->szamla_id ? $szamla_statusz : '').'</a>';
      }
    echo '</td>';
    echo '<td  class="tet_szeri">';
    if ( !empty($v->szeri_id) ) {
        echo '<a href="https://www.eszerzodes.hu/szerzodes/'.$v->szeri_id.'" target="_blank">'.$v->szeri_id.' - '.$szeri_statusz.'</a>';
      } else echo '
      <button o-id="'.$v->virtuemart_order_id.'" o-szam="'.$v->order_number.'" o-tid="'.$v->virtuemart_order_item_id.'" class="btn btn-success szeri"> --> Szerződés megkötése <-- </button>';
    echo '</td>';
    echo '</tr>';
    $s++;
  }
  echo '  </tbody></table>';
} else echo '<p>Nincs még ilyen!</p>';

?>
</div> 

<div class="debug"></div>


<div class="modal" tabindex="-1" role="dialog" id="ati_modal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Feldolgozás...
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button></h4>
      </div>
      <div class="modal-body">
        <p id="modal_load" class="text-center" ><img src="./XML/ati_load.gif"> </p>
        <p id="mod_hiba" style="color:red; display:none" >A háttérben futó, külső szolgáltatók irányában zajló kommunikációban probléma lépett fel.<br> Kérjük az alább található hibaüzenetet küldje el nekünk, hogy mielőbb intézkedni tudjunk a hiba megállapításában és a szolgáltatás zavartalan üzemeltetésében.</p>
        <div id="mod_tart"></div>        
      </div>
    </div>
  </div>
</div>

<div class="clearfix"></div>
<script type="text/javascript">
  
jQuery(document).ready(function () {

  var basu = '../index.php?format=raw&option=com_ajax&module=ati_szamla_seged&Itemid=440';


  jQuery('#ati_modal').on('hidden.bs.modal', function () {
    window.location.reload();
  });


  jQuery('.szeri').on('click', function(){
    jQuery('#ati_modal').modal('show');
    jQuery.ajax({
      url: basu+'&method=ujSzeri',
      type: 'GET',
      // dataType: 'json',
      data: {
            rend: jQuery(this).attr('o-id'),
            ord: jQuery(this).attr('o-szam'),
            tid: jQuery(this).attr('o-tid'),
        },
      complete: function(xhr, textStatus) {
        console.log('comp: '+xhr.status);
        if (xhr.status === 401 || xhr.status === 303) {window.location.reload();}
      },
      success: function(res) {
        jQuery('#modal_load').hide();
        jQuery('#mod_tart').html(res);
        console.log('succ: ');
        console.log(res);
        if (res.substr(0,4) == "HIBA") {
          jQuery('#mod_hiba').toggle();
          jQuery('#mod_tart').addClass('alert alert-danger');
          //window.location.reload();
        }
        //jQuery('#mod_part').html(data);
      },
      error: function(xhr, textStatus, errorThrown) {
        console.log('err');
        jQuery('.mod_hiba').text(textStatus+": "+errorThrown);
        jQuery('.mod_hiba').removeClass('hidden');
      }
    });
  })



});

</script>



